import { ChangeDetectorRef, OnDestroy, OnInit } from '@angular/core';
import { FlexyForm, FlexyFormAbstractOptionsComponent, FlexyFormControlOptionsService, FlexyFormFieldLayoutSchema, FlexyFormOptionsFilter, SelectOption, SelectOptionMapper } from '@ng-flexy/form';
import { HttpClient } from '@angular/common/http';
import { FlexyLoggerService } from '@ng-flexy/core';
export declare class FlexyFormSelect2Component extends FlexyFormAbstractOptionsComponent implements OnInit, OnDestroy {
    protected logger: FlexyLoggerService;
    protected optionsService: FlexyFormControlOptionsService;
    private httpClient;
    private cdr;
    layoutSchema: FlexyFormFieldLayoutSchema;
    form: FlexyForm;
    default: string;
    label: string;
    description: string;
    placeholder: string;
    labelIcon: string;
    enableSearchByValue: boolean;
    options: SelectOption[];
    optionsUrl: string;
    optionsPath: string;
    optionsMapper: SelectOptionMapper | string;
    optionsFilter: FlexyFormOptionsFilter;
    optionsRawId: string;
    prefix: string;
    suffix: string;
    readonly: boolean;
    multiple: boolean;
    addItem: boolean;
    hideSelected: boolean;
    constructor(logger: FlexyLoggerService, optionsService: FlexyFormControlOptionsService, httpClient: HttpClient, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
